Bug 40660 - Update from UCS 3.2 to UCS 4.0 never installs grub
Update from UCS 3.2 to UCS 4.0 never installs grub
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Grub
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Janek Walkenhorst
Sönke Schwardt-Krummrich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 16:19 CET by Janek Walkenhorst
Modified: 2016-06-08 18:16 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janek Walkenhorst univentionstaff 2016-02-15 16:19:20 CET
When updating from UCS 3.2 to UCS 4.0 the previously used UCRV grub/boot is not migrated to the new mechanism of debconf grub-pc/install_devices.

It was:

# ucr get grub/boot
/dev/vda
# debconf-show grub-pc
  grub-pc/install_devices: 


But it should be (example):

# debconf-show grub-pc
* grub-pc/install_devices: /dev/vda


During the update grub was never installed:
# grep -E '^Installing for' /var/log/univention/updater.log
Comment 1 Janek Walkenhorst univentionstaff 2016-02-17 20:30:30 CET
Fixed with Bug #40654
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2016-02-17 22:47:42 CET
Yes, covered by bug 40654.
Comment 3 Janek Walkenhorst univentionstaff 2016-02-18 12:41:49 CET
<http://errata.software-univention.de/ucs/4.1/116.html>